/* This file was generated by plugin 'Nordic Semiconductor nRF5x v.1.2.2' (BDS version 1.1.3135.0) */

#include "service_if.h"
#include <stdint.h>
#include "app_trace.h" 
#include "ble_new_profile_new_service.h" 

static ble_new_profile_new_service_t    m_new_profile_new_service; 



/**@brief Function for handling the New Profile new service events.
 *
 * @details This function will be called for all New Profile new service events which are passed to
 *          the application.
 *
 * @param[in]   p_new_profile_new_service   New Profile new service structure.
 * @param[in]   p_evt   Event received from the New Profile new service.
 */
static void on_new_profile_new_service_evt(ble_new_profile_new_service_t * p_new_profile_new_service, ble_new_profile_new_service_evt_t * p_evt)
{
    switch (p_evt->evt_type)
    { 
        case BLE_NEW_PROFILE_NEW_SERVICE_MYCUSTOMPROFILE_EVT_WRITE:
            app_trace_log("[Bluetooth_IF]: NEW_PROFILE_NEW_SERVICE_MYCUSTOMPROFILE evt WRITE. \r\n");
            break; 
        default:
            // No implementation needed.
            break;
    }
}


/**@brief Function for initializing the Services generated by Bluetooth Developer Studio.
 *
 *
 * @return      NRF_SUCCESS on successful initialization of services, otherwise an error code.
 */
uint32_t bluetooth_init(void)
{
    uint32_t    err_code; 
    ble_new_profile_new_service_init_t    new_profile_new_service_init; 
    

    // Initialize New Profile new service.
    memset(&new_profile_new_service_init, 0, sizeof(new_profile_new_service_init));

    new_profile_new_service_init.evt_handler = on_new_profile_new_service_evt; 

    err_code = ble_new_profile_new_service_init(&m_new_profile_new_service, &new_profile_new_service_init);
    if (err_code != NRF_SUCCESS)
    {
        return err_code;
    } 

    return NRF_SUCCESS;
}

/**@brief Function for handling the Application's BLE Stack events.
 *
 * @details Handles all events from the BLE stack of interest to all Bluetooth Developer Studio generated Services.
 *
 * @param[in]   p_ble_evt  Event received from the BLE stack.
 */
void bluetooth_on_ble_evt(ble_evt_t * p_ble_evt)
{ 
    ble_new_profile_new_service_on_ble_evt(&m_new_profile_new_service, p_ble_evt); 
}
